Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057463 - [RFE] Predefined system access policies
Summary: [RFE] Predefined system access policies
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: general
Version: 0.14
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 20.0
Assignee: Amit Saha
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On: 994984
Blocks: 1199347
TreeView+ depends on / blocked
 
Reported: 2014-01-24 08:00 UTC by Nick Coghlan
Modified: 2018-02-06 00:41 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 994984
Environment:
Last Closed: 2015-04-20 02:22:52 UTC


Attachments (Terms of Use)

Description Nick Coghlan 2014-01-24 08:00:04 UTC
+++ This bug was initially created as a clone of Bug #994984 +++

Implement the predefined access policies feature, as described in:

http://beaker-project.org/dev/proposals/access-policies-for-systems.html

The core system access policy feature that this builds on was implemented and released in Beaker 0.15.0.

http://beaker-project.org/docs/whats-new/release-0.15.html#system-access-policies

Comment 1 Amit Saha 2015-02-06 04:53:11 UTC
This feature is now described in its own design proposal: https://beaker-project.org/dev/proposals/predefined-access-policies.html

Comment 2 Nick Coghlan 2015-02-06 06:57:09 UTC
Given that this proposal now includes the introduction of the "System Pools" feature, it needs to be checked for possible impacts on the supported reporting queries.

Comment 3 Amit Saha 2015-03-03 05:28:56 UTC
DB/HTTP API bits:  http://gerrit.beaker-project.org/#/c/4011/

Comment 4 Dan Callaghan 2015-03-03 22:29:40 UTC
Let's leave this at ASSIGNED until there is a complete patch series posted.

Comment 5 Dan Callaghan 2015-03-06 02:16:38 UTC
Bits remaining before the design proposal can be considered implemented:

* bkr pool-create
* bkr pool-modify
* bkr pool-add
* bkr pool-remove
* bkr policy-grant --pool=
* bkr policy-revoke --pool=
* bkr system-modify --pool-policy= / --use-custom-policy
* web UI for choosing active policy for a system
* web UI for browsing pools
* web UI for editing a pool, including its policy

Pool deletion is listed as a deferred feature in the design proposal, but I think we will definitely need pool deletion and pool renaming in Beaker 20. So that is a follow-on RFE: bug 1199347.

Comment 6 Dan Callaghan 2015-03-06 02:17:03 UTC
(In reply to Dan Callaghan from comment #5)
> * web UI for browsing pools

http://gerrit.beaker-project.org/4025

Comment 7 Amit Saha 2015-03-10 03:59:19 UTC
(In reply to Dan Callaghan from comment #5)
> Bits remaining before the design proposal can be considered implemented:
> 
> * bkr policy-grant --pool=
> * bkr policy-revoke --pool=

http://gerrit.beaker-project.org/#/c/4031/


> * bkr system-modify --pool-policy= / --use-custom-policy

http://gerrit.beaker-project.org/#/c/4032/

Comment 8 Amit Saha 2015-03-12 02:36:50 UTC
(In reply to Dan Callaghan from comment #5)
> Bits remaining before the design proposal can be considered implemented:
> 
> * web UI for choosing active policy for a system

http://gerrit.beaker-project.org/#/c/4046/

Comment 9 Amit Saha 2015-03-15 14:04:53 UTC
(In reply to Dan Callaghan from comment #5)
> Bits remaining before the design proposal can be considered implemented:
> 
> * bkr pool-create
http://gerrit.beaker-project.org/#/c/4055/

Comment 10 Amit Saha 2015-03-17 07:19:33 UTC
(In reply to Dan Callaghan from comment #5)
> Bits remaining before the design proposal can be considered implemented:
> 
> * bkr pool-add
> * bkr pool-remove

http://gerrit.beaker-project.org/#/c/4066/

Comment 11 Amit Saha 2015-03-18 06:54:38 UTC
(In reply to Dan Callaghan from comment #5)
> Bits remaining before the design proposal can be considered implemented:
> 
> * web UI for editing a pool, including its policy

matt's patch: http://gerrit.beaker-project.org/#/c/4057/

Comment 12 Amit Saha 2015-03-24 07:05:57 UTC
(In reply to Dan Callaghan from comment #5)
> Bits remaining before the design proposal can be considered implemented:
> 
> * web UI for choosing active policy for a system

http://gerrit.beaker-project.org/#/c/4082/

Comment 14 Amit Saha 2015-04-01 01:48:25 UTC
Some docs describing the feature:

Updated glossary to include what a active access policy, system pool and a system pool access policy is:
https://beaker-project.org/docs-develop/glossary.html

System pools: https://beaker-project.org/docs-develop/user-guide/interface/pools.html

Shared access policies: https://beaker-project.org/docs-develop/user-guide/systems/sharing.html#shared-access-policies

Comment 16 Dan Callaghan 2015-04-20 02:22:52 UTC
Beaker 20.0 has been released.


Note You need to log in before you can comment on or make changes to this bug.